Bug 238698 - cups catches wrong driver automatically for canon mp170
cups catches wrong driver automatically for canon mp170
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
Depends On:
Blocks: IEEE1284DeviceIDs
  Show dependency treegraph
 
Reported: 2007-05-02 09:12 EDT by sangu
Modified: 2008-09-03 05:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 05:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-05-02 09:12:30 EDT
Description of problem:
cups catches Canon MultiPASS C2500 Foomatic/bjc600 driver for canon mp170.
But canon mp170 cann't print with the driver.

Version-Release number of selected component (if applicable):
cups-1.2.10-6.fc7

How reproducible:
always

Steps to Reproduce:
1. plug canon mp170 to computer's usb.
2.
3.
  
Actual results:


Expected results:


Additional info:
foomatic-3.0.2-47.fc7.
Comment 1 Tim Waugh 2007-05-17 07:40:47 EDT
The openprinting database does not have an entry for the Canon mp170 I'm afraid.
 The driver it tried was the closest match to the model name.

What does '/usr/sbin/lpinfo -l -v' say?
Comment 2 sangu 2007-05-17 20:45:57 EDT
$ /usr/sbin/lpinfo -l -v
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
Device: uri = beh
        class = network
        info = Backend Error Handler
        make-and-model = Unknown
        device-id = 
Device: uri =
hal:///org/freedesktop/Hal/devices/usb_device_ffffffff_ffffffff_noserial_0_printer_noserial
        class = direct
        info = Canon MP170
        make-and-model = Canon MP170
        device-id = MFG:Canon;MDL:MP170;CLS:PRINTER;
Device: uri = usb://Canon/MP170
        class = direct
        info = Canon MP170 USB #1
        make-and-model = Canon MP170
        device-id =
MFG:Canon;CMD:BJL,BJRaster3,BSCCe;SOJ:TXT01;MDL:MP170;CLS:PRINTER;DES:Canon
MP170;VER:1.08;STA:30;HRI:OTH;
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
Device: uri = scsi
        class = direct
        info = SCSI Printer
        make-and-model = Unknown
        device-id = 
Comment 3 Tim Waugh 2007-05-18 09:15:30 EDT
Thanks.  If/when a foomatic entry shows up, I'll add in the IEEE 1284 Device ID
that identifies it.
Comment 4 Bug Zapper 2008-04-03 20:26:18 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Tim Waugh 2008-09-03 05:44:34 EDT
Please add an entry for this printer using the link on this page:
  http://openprinting.org/printer_list.cgi

Note You need to log in before you can comment on or make changes to this bug.